curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/startup-command \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{ "startup_command": "node src/main.js" }'
{
"success": true,
"data": { "startup_command": "node src/main.js" },
"message": "Startup command updated. Restart to apply."
}
Bots
Update Startup Command
Updates the command used to start the bot. A restart is required to apply the change.
PATCH
/
bots
/
{id}
/
startup-command
curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/startup-command \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{ "startup_command": "node src/main.js" }'
{
"success": true,
"data": { "startup_command": "node src/main.js" },
"message": "Startup command updated. Restart to apply."
}
Path Parameters
string
required
UUID of the bot.
Body
string
required
New startup command. Example:
node src/main.js or python -u bot.py.curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/startup-command \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{ "startup_command": "node src/main.js" }'
{
"success": true,
"data": { "startup_command": "node src/main.js" },
"message": "Startup command updated. Restart to apply."
}

